Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/docker-registry: move to community

From: Christian Kampka <christian_at_kampka.net>
Date: Sun, 18 Oct 2015 18:57:56 +0200

---
 community/docker-registry/APKBUILD                 | 50 ++++++++++++++++++++++
 community/docker-registry/docker-registry.initd    | 20 +++++++++
 .../docker-registry/docker-registry.pre-install    |  5 +++
 testing/docker-registry/APKBUILD                   | 50 ----------------------
 testing/docker-registry/docker-registry.initd      | 20 ---------
 .../docker-registry/docker-registry.pre-install    |  5 ---
 6 files changed, 75 insertions(+), 75 deletions(-)
 create mode 100644 community/docker-registry/APKBUILD
 create mode 100644 community/docker-registry/docker-registry.initd
 create mode 100644 community/docker-registry/docker-registry.pre-install
 delete mode 100644 testing/docker-registry/APKBUILD
 delete mode 100644 testing/docker-registry/docker-registry.initd
 delete mode 100644 testing/docker-registry/docker-registry.pre-install
diff --git a/community/docker-registry/APKBUILD b/community/docker-registry/APKBUILD
new file mode 100644
index 0000000..54d8b1c
--- /dev/null
+++ b/community/docker-registry/APKBUILD
_at_@ -0,0 +1,50 @@
+# Maintainer: Christian Kampka <christian_at_kampka.net>
+
+pkgname=docker-registry
+pkgver=2.1.1
+pkgrel=1
+pkgdesc="An implementation of the Docker Registry HTTP API V2 for use with docker 1.6+."
+url="https://github.com/docker/distribution"
+arch="x86_64"
+license="Apache 2.0"
+makedepends="git go"
+options="!strip"
+install="$pkgname.pre-install"
+pkguserss="docker-registry"
+pkggroups="docker-registry"
+source="$pkgname-$pkgver.tar.gz::${url}/archive/v${pkgver}.tar.gz
+	docker-registry.initd"
+
+_builddir="$srcdir/distribution-$pkgver"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	export DISTRIBUTION_DIR="${_builddir}"
+	export GOPATH="${DISTRIBUTION_DIR}/Godeps/_workspace"
+	cd "${DISTRIBUTION_DIR}"
+	# GOPATH fix
+	ln -s "${DISTRIBUTION_DIR}" "${DISTRIBUTION_DIR}/Godeps/_workspace/src/github.com/docker/distribution"
+	make clean binaries || return 1
+}
+
+package() {
+	export DISTRIBUTION_DIR="${srcdir}/distribution-${pkgver}"
+	install -v -D -m755 "${srcdir}/${pkgname}.initd" "${pkgdir}/etc/init.d/${pkgname}"
+	install -v -D -m755 "${DISTRIBUTION_DIR}/bin/registry" "${pkgdir}/usr/bin/${pkgname}"
+	install -v -D -m644 "${DISTRIBUTION_DIR}/cmd/registry/config-example.yml" "${pkgdir}/etc/${pkgname}/config.yml"
+	install -v -D -m644 ${_builddir}/LICENSE ${pkgdir}/usr/share/licenses/${pkgname}
+}
+md5sums="956cddde0cbeeb01e15d51d5cc488efb  docker-registry-2.1.1.tar.gz
+eaa66ce1509f0b2f257e2919b350fc46  docker-registry.initd"
+sha256sums="80c23c3f223fa44c6cc3f9ac3588f95bc3aaa0561c6fd52f3bbca3fd4c1fbfc0  docker-registry-2.1.1.tar.gz
+d35bfa20956a4dbd6070799fa8a1fd34c100070672e24c9b759df23c69b5431a  docker-registry.initd"
+sha512sums="42986be5077589bb49d61a0766218676bbc085b839ae83a5f39b48df5942ee27b41a66a5bbf282841b68d41cbcd254df04eadd1f2592becd06ba11c84ccb95f2  docker-registry-2.1.1.tar.gz
+338d78b6813825154673c50cd73884297ebdd8c497ec933048dc5bf0863136e7bc308860ce71835d7e48a2b950266a69e60d318e382b18f8352d6c662851ed09  docker-registry.initd"
diff --git a/community/docker-registry/docker-registry.initd b/community/docker-registry/docker-registry.initd
new file mode 100644
index 0000000..4706407
--- /dev/null
+++ b/community/docker-registry/docker-registry.initd
_at_@ -0,0 +1,20 @@
+#!/sbin/openrc-run
+# $Header: $
+
+DOCKER_REGISTRY_PIDFILE=${DOCKER_REGISTRY_PIDFILE:-/run/${SVCNAME}.pid}
+DOCKER_REGISTRY_BINARY=${DOCKER_REGISTRY_BINARY:-/usr/bin/docker-registry}
+DOCKER_REGISTRY_CONFIG=${DOCKER_REGISTRY_CONFIG:-/etc/docker-registry/config.yml}
+DOCKER_REGISTRY_LOGFILE=${DOCKER_REGISTRY_LOGFILE:-/var/log/docker-registry.log}
+
+command="$DOCKER_REGISTRY_BINARY"
+command_args="$DOCKER_REGISTRY_CONFIG"
+pidfile="$DOCKER_REGISTRY_PIDFILE"
+command_background="true"
+start_stop_daemon_args="--user docker-registry:docker-registry --stdout $DOCKER_REGISTRY_LOGFILE --stderr $DOCKER_REGISTRY_LOGFILE"
+name="Docker Registry"
+
+start_pre() {
+	checkpath --directory --owner docker-registry:docker-registry --mode 0770 /var/lib/registry
+
+	checkpath -f -m 0644 -o docker-registry:docker-registry "$DOCKER_REGISTRY_LOGFILE"
+}
diff --git a/community/docker-registry/docker-registry.pre-install b/community/docker-registry/docker-registry.pre-install
new file mode 100644
index 0000000..e921230
--- /dev/null
+++ b/community/docker-registry/docker-registry.pre-install
_at_@ -0,0 +1,5 @@
+#!/bin/sh
+
+addgroup -S docker-registry 2>/dev/null
+adduser -S -H -h /dev/null -s /sbin/nologin -D -G docker-registry docker-registry 2>/dev/null
+exit 0
diff --git a/testing/docker-registry/APKBUILD b/testing/docker-registry/APKBUILD
deleted file mode 100644
index 54d8b1c..0000000
--- a/testing/docker-registry/APKBUILD
+++ /dev/null
_at_@ -1,50 +0,0 @@
-# Maintainer: Christian Kampka <christian_at_kampka.net>
-
-pkgname=docker-registry
-pkgver=2.1.1
-pkgrel=1
-pkgdesc="An implementation of the Docker Registry HTTP API V2 for use with docker 1.6+."
-url="https://github.com/docker/distribution"
-arch="x86_64"
-license="Apache 2.0"
-makedepends="git go"
-options="!strip"
-install="$pkgname.pre-install"
-pkguserss="docker-registry"
-pkggroups="docker-registry"
-source="$pkgname-$pkgver.tar.gz::${url}/archive/v${pkgver}.tar.gz
-	docker-registry.initd"
-
-_builddir="$srcdir/distribution-$pkgver"
-prepare() {
-	local i
-	cd "$_builddir"
-	for i in $source; do
-		case $i in
-		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
-		esac
-	done
-}
-
-build() {
-	export DISTRIBUTION_DIR="${_builddir}"
-	export GOPATH="${DISTRIBUTION_DIR}/Godeps/_workspace"
-	cd "${DISTRIBUTION_DIR}"
-	# GOPATH fix
-	ln -s "${DISTRIBUTION_DIR}" "${DISTRIBUTION_DIR}/Godeps/_workspace/src/github.com/docker/distribution"
-	make clean binaries || return 1
-}
-
-package() {
-	export DISTRIBUTION_DIR="${srcdir}/distribution-${pkgver}"
-	install -v -D -m755 "${srcdir}/${pkgname}.initd" "${pkgdir}/etc/init.d/${pkgname}"
-	install -v -D -m755 "${DISTRIBUTION_DIR}/bin/registry" "${pkgdir}/usr/bin/${pkgname}"
-	install -v -D -m644 "${DISTRIBUTION_DIR}/cmd/registry/config-example.yml" "${pkgdir}/etc/${pkgname}/config.yml"
-	install -v -D -m644 ${_builddir}/LICENSE ${pkgdir}/usr/share/licenses/${pkgname}
-}
-md5sums="956cddde0cbeeb01e15d51d5cc488efb  docker-registry-2.1.1.tar.gz
-eaa66ce1509f0b2f257e2919b350fc46  docker-registry.initd"
-sha256sums="80c23c3f223fa44c6cc3f9ac3588f95bc3aaa0561c6fd52f3bbca3fd4c1fbfc0  docker-registry-2.1.1.tar.gz
-d35bfa20956a4dbd6070799fa8a1fd34c100070672e24c9b759df23c69b5431a  docker-registry.initd"
-sha512sums="42986be5077589bb49d61a0766218676bbc085b839ae83a5f39b48df5942ee27b41a66a5bbf282841b68d41cbcd254df04eadd1f2592becd06ba11c84ccb95f2  docker-registry-2.1.1.tar.gz
-338d78b6813825154673c50cd73884297ebdd8c497ec933048dc5bf0863136e7bc308860ce71835d7e48a2b950266a69e60d318e382b18f8352d6c662851ed09  docker-registry.initd"
diff --git a/testing/docker-registry/docker-registry.initd b/testing/docker-registry/docker-registry.initd
deleted file mode 100644
index 4706407..0000000
--- a/testing/docker-registry/docker-registry.initd
+++ /dev/null
_at_@ -1,20 +0,0 @@
-#!/sbin/openrc-run
-# $Header: $
-
-DOCKER_REGISTRY_PIDFILE=${DOCKER_REGISTRY_PIDFILE:-/run/${SVCNAME}.pid}
-DOCKER_REGISTRY_BINARY=${DOCKER_REGISTRY_BINARY:-/usr/bin/docker-registry}
-DOCKER_REGISTRY_CONFIG=${DOCKER_REGISTRY_CONFIG:-/etc/docker-registry/config.yml}
-DOCKER_REGISTRY_LOGFILE=${DOCKER_REGISTRY_LOGFILE:-/var/log/docker-registry.log}
-
-command="$DOCKER_REGISTRY_BINARY"
-command_args="$DOCKER_REGISTRY_CONFIG"
-pidfile="$DOCKER_REGISTRY_PIDFILE"
-command_background="true"
-start_stop_daemon_args="--user docker-registry:docker-registry --stdout $DOCKER_REGISTRY_LOGFILE --stderr $DOCKER_REGISTRY_LOGFILE"
-name="Docker Registry"
-
-start_pre() {
-	checkpath --directory --owner docker-registry:docker-registry --mode 0770 /var/lib/registry
-
-	checkpath -f -m 0644 -o docker-registry:docker-registry "$DOCKER_REGISTRY_LOGFILE"
-}
diff --git a/testing/docker-registry/docker-registry.pre-install b/testing/docker-registry/docker-registry.pre-install
deleted file mode 100644
index e921230..0000000
--- a/testing/docker-registry/docker-registry.pre-install
+++ /dev/null
_at_@ -1,5 +0,0 @@
-#!/bin/sh
-
-addgroup -S docker-registry 2>/dev/null
-adduser -S -H -h /dev/null -s /sbin/nologin -D -G docker-registry docker-registry 2>/dev/null
-exit 0
-- 
2.6.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sun Oct 18 2015 - 18:57:56 GMT